<?xml version="1.0" encoding="GB2312"?>
<xsl:stylesheet xmlns="http://www.w3.org/1999/XSL/Transform" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:cxsl="urn:cxsl" version="1.0">
	<xsl:output method="xml" indent="yes"></xsl:output><xsl:template match="/">
		<xsl:apply-templates select="child::xsl:*"></xsl:apply-templates></xsl:template><xsl:template match="xsl:*">
		<xsl:variable name="node" select="."></xsl:variable><xsl:variable name="tag" select="local-name()"></xsl:variable><xsl:for-each select="document('dictionary.xml')/dictionary/entry[@type='element']">
			<xsl:if test="$tag=./xsl">
				<xsl:element name="cxsl:{./cxsl}">
					<xsl:call-template name="translate-element">
						<xsl:with-param name="node" select="$node"></xsl:with-param></xsl:call-template></xsl:element></xsl:if></xsl:for-each><xsl:if test="count(document('dictionary.xml')/dictionary/entry[@type='element' and ./xsl = $tag])=0">
			<xsl:element name="cxsl:{$tag}">
				<xsl:call-template name="translate-element">
					<xsl:with-param name="node" select="$node"></xsl:with-param></xsl:call-template></xsl:element></xsl:if></xsl:template><xsl:template name="translate-element">
		<xsl:param name="node"></xsl:param><xsl:for-each select="$node/@*">
			<xsl:variable name="attrib" select="local-name()"></xsl:variable><xsl:variable name="attrnode" select="."></xsl:variable><xsl:for-each select="document('dictionary.xml')/dictionary/entry[@type='attribute']">
				<xsl:if test="$attrib=./xsl">
					<xsl:attribute name="{./cxsl}">
						<xsl:call-template name="filter">
							<xsl:with-param name="attrib" select="$attrnode"></xsl:with-param></xsl:call-template></xsl:attribute></xsl:if></xsl:for-each><xsl:if test="count(document('dictionary.xml')/dictionary/entry[@type='attribute' and ./xsl=$attrib])=0">
			   <xsl:if test="$attrib!='xmlns'">
				<xsl:attribute name="{$attrib}">
					<xsl:call-template name="filter">
						<xsl:with-param name="attrib" select="$attrnode"></xsl:with-param></xsl:call-template></xsl:attribute></xsl:if></xsl:if></xsl:for-each><xsl:value-of select=""></xsl:value-of><xsl:for-each select="">
			<xsl:apply-templates select="."></xsl:apply-templates></xsl:for-each></xsl:template><xsl:template name="filter">
		<xsl:param name="attrib"></xsl:param><xsl:call-template name="filter-string">
			<xsl:with-param name="str" select="$attrib"></xsl:with-param></xsl:call-template></xsl:template><xsl:template name="filter-string">
		<xsl:param name="str"></xsl:param><xsl:for-each select="document('dictionary.xml')/dictionary/entry[@type='axis']">
			<xsl:variable name="axis" select="concat(./xsl, '::')"></xsl:variable><xsl:variable name="target_axis" select="concat(./cxsl, '::')"></xsl:variable><xsl:if test="">
				<xsl:call-template name="filter-string">
					<xsl:with-param name="str" select=""></xsl:with-param></xsl:call-template></xsl:if></xsl:for-each><xsl:for-each select="document('dictionary.xml')/dictionary/entry[@type='function']">
			<xsl:variable name="function" select="concat(./xsl, '(')"></xsl:variable><xsl:variable name="target_func" select="concat(./cxsl, '(')"></xsl:variable><xsl:if test="">
				<xsl:variable name="s2" select=""></xsl:variable><xsl:call-template name="filter-string">
					<xsl:with-param name="str" select="concat($target_func,$s2)"></xsl:with-param></xsl:call-template></xsl:if></xsl:for-each><xsl:if test="">
			<xsl:value-of select="$str"></xsl:value-of></xsl:if></xsl:template></xsl:stylesheet>
