<?xml version="1.0"?>
<!DOCTYPE stylesheet [
    <!ENTITY xsl "http://www.w3.org/1999/XSL/Transform">
    <!ENTITY yaxx "urn:YAcc-Xml-eXtension">
    <!ENTITY cyaxx "urn:cyaxx">
    <!ENTITY separator1 ":">
    <!ENTITY separator2 "&#10;">
    <!ENTITY separator3 " ">
]>
<stylesheet version="1.0" xmlns="&xsl;" xmlns:xsl="&xsl;" xmlns:cyaxx="&cyaxx;">
    <output method="text" indent="no"/>
    <template match="cyaxx:*">
        <choose>
            <when test="count(child::cyaxx:*)=0">
                <if test="./text()!='' and ./text()!='&#10;'">
                    <value-of select="."/>
                    <text>&separator3;</text>
                </if>
            </when>
            <otherwise>
                <for-each select="child::cyaxx:*"> 
                    <apply-templates select="."/>
                </for-each>
            </otherwise>
        </choose>
    </template>
</stylesheet>
